Package docking.widgets

# Class JTreeMouseListenerDelegate

java.lang.Object
java.awt.event.MouseAdapter
docking.widgets.JTreeMouseListenerDelegate

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

public class JTreeMouseListenerDelegate extends MouseAdapter

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JTreeMouseListenerDelegate(JTree tree)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMouseListener(MouseListener listener)`
  `void`
  `addMouseListeners(List<MouseListener> listenerList)`
  `protected void`
  `fireMouseClicked(MouseEvent e)`
  `protected void`
  `fireMousePressed(MouseEvent e)`
  `protected void`
  `fireMouseReleased(MouseEvent e)`
  `MouseListener[]`
  `getMouseListeners()`
  `protected boolean`
  `handlePopupTrigger(MouseEvent e)`
  `protected boolean`
  `isPotentialDragSelection(MouseEvent e)`
  `void`
  `mouseClicked(MouseEvent e)`
  `void`
  `mouseEntered(MouseEvent e)`
  `void`
  `mouseExited(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`
  `void`
  `mouseReleased(MouseEvent e)`
  `void`
  `removeMouseListener(MouseListener listener)`
  `protected void`
  `setSelectedPathNow(TreePath path)`
  This method is overridden by subclasses.

  ### Methods inherited from class java.awt.event.MouseAdapter

  `mouseDragged, mouseMoved, mouseWheelMoved`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JTreeMouseListenerDelegate

    public JTreeMouseListenerDelegate(JTree tree)

- ## Method Details

  - ### getMouseListeners

    public MouseListener[] getMouseListeners()

  - ### addMouseListener

    public void addMouseListener(MouseListener listener)

  - ### removeMouseListener

    public void removeMouseListener(MouseListener listener)

  - ### addMouseListeners

    public void addMouseListeners(List<MouseListener> listenerList)

  - ### mouseEntered

    public void mouseEntered(MouseEvent e)
    Specified by:
      `mouseEntered` in interface `MouseListener`
    Overrides:
      `mouseEntered` in class `MouseAdapter`

  - ### mouseExited

    public void mouseExited(MouseEvent e)
    Specified by:
      `mouseExited` in interface `MouseListener`
    Overrides:
      `mouseExited` in class `MouseAdapter`

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`
    Overrides:
      `mousePressed` in class `MouseAdapter`

  - ### mouseClicked

    public void mouseClicked(MouseEvent e)
    Specified by:
      `mouseClicked` in interface `MouseListener`
    Overrides:
      `mouseClicked` in class `MouseAdapter`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Specified by:
      `mouseReleased` in interface `MouseListener`
    Overrides:
      `mouseReleased` in class `MouseAdapter`

  - ### fireMousePressed

    protected void fireMousePressed(MouseEvent e)

  - ### fireMouseClicked

    protected void fireMouseClicked(MouseEvent e)

  - ### fireMouseReleased

    protected void fireMouseReleased(MouseEvent e)

  - ### handlePopupTrigger

    protected boolean handlePopupTrigger(MouseEvent e)

  - ### isPotentialDragSelection

    protected boolean isPotentialDragSelection(MouseEvent e)

  - ### setSelectedPathNow

    protected void setSelectedPathNow(TreePath path)
    This method is overridden by subclasses.